package de.twomartens.templateservice.configs;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties(prefix = "de.twomartens.templateservice")
public class TemplateServiceProperties {

  private final Template template = new Template();

  @Data
  public static class Template {

    private String greeting;
  }
}
